%!TEX program=lualatex
%!TEX file=thesis.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document class

% Additional package options
\input{config/packages-options}

% Main document class definition
\documentclass[%
  tikz,%
  mathematics,%
  code,%
  biblatex,%
  ngerman,%
  english,%,
  draft,%
  % final,%
  accepted,%
  colorful,%
  fontsize=12pt,%
]{iswdctrt}

%% END document class
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Document Properties

\title{Dynamics of Cable-Driven Parallel Robots with Elastic and Flexible, Time-Varying Length Cables}
% \subtitle{Did you know you can add a subtitle to your thesis, too?}

\mainexaminer{\textPD \textDrIng Andreas Pott}
% @TODO check names have correct titles
\secondexaminer{%
  \textProf \textDr Bernard Haasdonk \and %
  Marc Gouttefarde, \textPhD \and %
  \textProf \textDr ir.\@ habil.\@ Remco I.\@ Leine%
}

\author{Philipp Tempel}
\shortauthor{Ph.\@ Tempel}
\city{Stuttgart}
\placeofbirth{Stuttgart}
% \date{\printdate{2019-04-04}}
\date{\printdate{2019-07-19}}

% Dedication (to whom am I going to make this thesis)
\dedication{To... me?}
\dedication{
  \epigraph{%
    All models are wrong.
    
    But some are useful.
  }{%
    \textsc{George E.\@ P.\@ Box}\\%
    \textit{1976, Journal of the American Statistical Association}\\%
    \autocite{Box.1976b}%
  }
}

%% END Document Properties
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Custom Includes

% Load my custom additional packges
\input{config/packages}

% Load my custom colors
\input{config/colors}

% Load my custom environments
\input{config/environments}

% Load my custom commands
\input{config/commands}

% Load unknown hyphenations
\input{config/hyphenation}

% Load all TikZ related stuff
\input{config/tikz}

\addbibresource{thesis.bib}

%% END Custom Includes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document configuration

\input{config/configuration}

%% END document configuration
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% TikZ Configuration

\tdplotsetmaincoords{80}{110}

\input{config/tikz/externalize}

%% END TikZ Configuration
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% glossaries and indices

\input{config/glossaries}

%% END glossaries and indices
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Cleveref Names

\AtBeginDocument{%
  \crefname{equation}{equation}{equations}%
  \crefname{chapter}{chapter}{chapters}%
  \crefname{section}{section}{sections}%
  \crefname{appendix}{appendix}{appendices}%
  \crefname{enumi}{item}{items}%
  \crefname{footnote}{footnote}{footnotes}%
  \crefname{figure}{figure}{figures}%
  \crefname{table}{table}{tables}%
  \crefname{theorem}{theorem}{theorems}%
  \crefname{lemma}{lemma}{lemmas}%
  \crefname{corollary}{corollary}{corollaries}%
  \crefname{proposition}{proposition}{propositions}%
  \crefname{definition}{definition}{definitions}%
  \crefname{result}{result}{results}%
  \crefname{example}{example}{examples}%
  \crefname{remark}{remark}{remarks}%
  \crefname{note}{note}{notes}%
  %
  \Crefname{equation}{Equation}{Equations}%
  \Crefname{chapter}{Chapter}{Chapters}%
  \Crefname{section}{Section}{Sections}%
  \Crefname{appendix}{Appendix}{Appendices}%
  \Crefname{enumi}{Item}{Items}%
  \Crefname{footnote}{Footnote}{Footnotes}%
  \Crefname{figure}{figure}{Figures}%
  \Crefname{table}{Table}{Tables}%
  \Crefname{theorem}{Theorem}{Theorems}%
  \Crefname{lemma}{Lemma}{Lemmas}%
  \Crefname{corollary}{Corollary}{Corollaries}%
  \Crefname{proposition}{Proposition}{Propositions}%
  \Crefname{definition}{Definition}{Definitions}%
  \Crefname{result}{Result}{Results}%
  \Crefname{example}{Example}{Examples}%
  \Crefname{remark}{Remark}{Remarks}%
  \Crefname{note}{Note}{Notes}%
}

%% END Cleveref Names
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





% Order and Components according to UNC GradSchool
% @see https://gradschool.unc.edu/academics/thesis-diss/guide/ordercomponents.html
%   Title Page
%   Copyright Page
%   Abstract
%   Dedication, Acknowledgements, and Preface (each optional)
%   Table of Contents, with page numbers
%   List of Tables, List of Figures, or List of Illustrations, with titles and page numbers (if applicable)
%   List of Abbreviations (if applicable)
%   List of Symbols (if applicable)
%   Chapters, including:
%       Introduction, if any
%       Main body, with consistent subheadings as appropriate
%   Appendices (if applicable)
%   Endnotes (if applicable)
%   References (see section on References for options)



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \chapter        80
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \section        70
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \subsection     60
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \subsubsection  50
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \paragraph      40
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \subparagraph



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% document
\begin{document}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% frontmatter

\frontmatter


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% titlepage

\begin{otherlanguage}{ngerman}
  
  \maketitle

\end{otherlanguage}

%% END titlepage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% prefaces

% Abstract English and German
\input{content/abstract}

% Acknowledgments (thank you's)
\input{content/acknowledgments}

% % My own preface to the thesis
% \input{content/preface}

%% END prefaces
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LIST OF FLOATS

% Table of contents
\tableofcontents

% List of figures
\listoffigures

% List of tables
\listoftables

% END LIST OF FLOATS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% glossaries

\input{content/glossaries}

%% END glossaries
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% todos

\listoftodos

% END todos
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% custom macros
\ifdraft{%
  \input{content/todos}
  % \input{help/macros}
}{%
}
%% END custom macros
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% END frontmatter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% mainmatter

\mainmatter




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% content

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/introduction}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/fundamentals}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/spatial-dynamics}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/caro-dynamics}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/stress-strain-dynamics}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/summary}



%% END Content
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% bibliography

\begingroup
\emergencystretch=2.00em
\setlength{\introcitewidth}{\widthof{\smaller[1]\textbf{Garc{\'{i}}a-Fern{\'{a}}ndez et al. 2008}}}
\renewcommand*{\bibfont}{\small}
\printbibliography
\endgroup

%% END bibliography
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% appendix

\input{content/appendix}

%% END appendix
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%% END mainmatter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





\end{document}

%% END document
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
